Linux sg77.dns-private.com 5.14.0-503.40.1.el9_5.x86_64 #1 SMP PREEMPT_DYNAMIC Mon May 5 06:06:04 EDT 2025 x86_64
LiteSpeed
Server IP : 135.181.230.13 & Your IP : 216.73.217.69
Domains :
Cant Read [ /etc/named.conf ]
User : pilasate
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
home /
pilasate /
.nvm /
test /
slow /
nvm run /
Delete
Unzip
Name
Size
Permission
Date
Action
Running 'nvm run --harmony --version' should work
258
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm run --lts' should work
579
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm run 0.x' should error out sensibly when 0.x is not installed
602
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm run 0.x' should work
180
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm run' should pick up .nvmrc version
917
B
-rwxrwxr-x
2025-06-22 16:20
setup_dir
144
B
-rwxrwxr-x
2025-06-22 16:20
teardown_dir
181
B
-rwxrwxr-x
2025-06-22 16:20
Save
Rename
#!/bin/sh die () { echo "$@" ; exit 1; } \. ../../../nvm.sh echo "0.10.7" > .nvmrc [ "$(nvm run --version | tail -1)" = "v0.10.7" ] || die "\`nvm run\` failed to run with the .nvmrc version" [ "$(nvm run --version | head -1)" = "Found '$PWD/.nvmrc' with version <0.10.7>" ] || die "\`nvm run\` failed to print out the \"found in .nvmrc\" message" echo "foo" > .nvmrc # running nvm run with .nvmrc should not print the version information when not installed OUTPUT="$(nvm run --version 2>&1)" EXIT_CODE=$? EXPECTED_OUTPUT="Found '$PWD/.nvmrc' with version <foo> N/A: version \"foo\" is not yet installed. You need to run \`nvm install\` to install and use the node version specified in \`.nvmrc\`." [ "_$OUTPUT" = "_$EXPECTED_OUTPUT" ] || die "expected 'nvm use' with nvmrc to give $EXPECTED_OUTPUT, got $OUTPUT" [ "_$EXIT_CODE" = "_1" ] || die "expected 'nvm use' with nvmrc to exit with 1, got $EXIT_CODE"